//VARIABLES GLOBALES
var oQuestions = new Array();
var oQuestionsOld = new Array();
var iIndexActuel = 0;
var bShowingResult = false;
var iShuffledOrder = new Array();
var imgManager = new ImageManager();

var sNomUsager = "";
var sPrenomUsager = "";
var sMatriculeUsager = "";
var sGroupeUsager = "";
var sCourrielUsager = "";
var sCoordUsager = "";

//CONSTANTES
//Type de multiple
var CHOIX_MULTIPLES = 0;
var REPONSES_MULTIPLES = 1;

//Type de closure
var SIMPLE = 0;
var MULTIPLE = 1;

//Type mise en ordre
var TEXTE = 0;
var IMAGE = 1;

//Type association
var TEXTE_TEXTE = 0;
var TEXTE_IMAGE = 1;
var IMAGE_TEXTE = 2;
var IMAGE_IMAGE = 3;

//Type detiquette
var LETTRES = 0;
var CHIFFRES = 1;
var NONE = 2;

//Type affichage damier
var NON_MASQUE = 0;
var MASQUE = 1;

//IMAGE SIZE
var iMaxImgHeight = 120;

//*** SETTINGS ***
//GENERAL
var sQuizName = "THEATRE";

//STATUS
var STATUS_AFAIRE = "&Agrave; faire";
var STATUS_AREPRENDRE = "&Agrave; reprendre";
var STATUS_ACOMPLETER = "%MSG_A_COMPLETER";
var STATUS_REUSSIE = "R&eacute;ussi";
var STATUS_NONE = " - ";

//DECIMAL
var sDecDelimiter = ",";

//COLONNES DE RESULTATS
var sTitreResultat = "R&eacute;sultats";
var sColQuestion = "Question";
var sColStatut = "Statut";
var sColNbEssais = "Nombre d&rsquo;essais";
var sColPoints = "Points";

//MESSAGES
var sMsgBRep = "Bonne r&eacute;ponse";
var sMsgMRep = "Mauvaise r&eacute;ponse";
var sMsgRepInc = "R&eacute;ponse incompl&egrave;te";
var sMsgMotsMOrtho = "Mots mal orthographi&eacute;s";
var sMsgMotsManq = "Mots manquants (<u>soulign&eacute;s</u>)";
var sMsgMotsTrop = "Mots en trop [entre crochets]";
var sMsgFinQuiz = "Fin du questionnaire.";
var sMsgNomAbsent = "Entrez votre nom dans le champ correspondant.";
var sMsgConfirmSubmit = "Le questionnaire se ferme aprs soumission. Voulez-vous vraiment soumettre le questionnaire?";
var sMsgConfirmReprendre = "Reprendre efface toutes les rponses ainsi que les rsultats. Si vous ne voulez pas effacer ces rsultats ou si vous voulez les faire imprimer avant de reprendre le questionnaire, cliquez sur Annuler, sinon cliquez sur OK.";

//FORMULAIRE DE SOUMISSION
var sLblNom = "Nom";
var sLblPrenom = "Pr&eacute;nom";
var sLblMatricule = "Matricule";
var sLblGroupe = "Groupe";
var sLblCourriel = "Courriel";
var sLblCoord = "Autre";
var bShowFormulaire = false;

//PALETTE
var sPosDelimiter = "de";
var sLblSolution = "Solution";

//Fonctions
function initializeQuiz(){

	oQuestions[0] = new QLacune("question_lacune-0.html");
oQuestions[0].setID(0);
oQuestions[0].setReponse("monologue","");
oQuestions[0].setRetroInconnue("Erreur inconnue");
oQuestions[0].setPond(1.0);
oQuestions[1] = new QLacune("question_lacune-1.html");
oQuestions[1].setID(1);
oQuestions[1].setReponse("Une scne d'exposition","");
oQuestions[1].setRetroInconnue("Erreur inconnue");
oQuestions[1].setPond(1.0);
oQuestions[2] = new QLacune("question_lacune-2.html");
oQuestions[2].setID(2);
oQuestions[2].setReponse("17me sicle","");
oQuestions[2].setRetroInconnue("Erreur inconnue");
oQuestions[2].setPond(1.0);
oQuestions[3] = new QLacune("question_lacune-3.html");
oQuestions[3].setID(3);
oQuestions[3].setReponse("Le thtre de l'absurde","");
oQuestions[3].setRetroInconnue("Erreur inconnue");
oQuestions[3].setPond(1.0);
oQuestions[4] = new QMultiple(CHOIX_MULTIPLES,"question_cmultiple-4.html");
oQuestions[4].setID(4);
oQuestions[4].addChoix("ct droit de la scne","",true);
oQuestions[4].addChoix("ct gauche de la scne","",false);
oQuestions[4].setPond(1.0);
oQuestions[4].setType(TEXTE);
oQuestions[4].setTypeEtiquette(NONE);
oQuestions[4].shuffle();
oQuestions[5] = new QLacune("question_lacune-5.html");
oQuestions[5].setID(5);
oQuestions[5].setReponse("tirade","");
oQuestions[5].setRetroInconnue("Erreur inconnue");
oQuestions[5].setPond(1.0);
oQuestions[6] = new QLacune("question_lacune-6.html");
oQuestions[6].setID(6);
oQuestions[6].setReponse("mots","");
oQuestions[6].setRetroInconnue("Erreur inconnue");
oQuestions[6].setPond(1.0);
oQuestions[7] = new QLacune("question_lacune-7.html");
oQuestions[7].setID(7);
oQuestions[7].setReponse("Situation","");
oQuestions[7].setRetroInconnue("Erreur inconnue");
oQuestions[7].setPond(1.0);
oQuestions[8] = new QLacune("question_lacune-8.html");
oQuestions[8].setID(8);
oQuestions[8].setReponse("gestes","");
oQuestions[8].setRetroInconnue("Erreur inconnue");
oQuestions[8].setPond(1.0);
oQuestions[9] = new QLacune("question_lacune-9.html");
oQuestions[9].setID(9);
oQuestions[9].setReponse("didascalies","");
oQuestions[9].setRetroInconnue("Erreur inconnue");
oQuestions[9].setPond(1.0);


    //init du Wrapper Scorm
	// Creation d'un espace nom
	if (top.ccdmd_O == null) top.ccdmd_O = {};
	if (top.ccdmd_O.scormWp_O == null) top.ccdmd_O.scormWp_O = new NetquizScormWrapper_V ();
	
	// Set le score maximum du quiz, noter que vous pouvez passer le paramtre en type integer ou en type string,  votre choix.
	var iQuizPond = 0;
	for(var i = 0;i < oQuestions.length;i++){
	    iQuizPond += oQuestions[i].getPonderation();
	}
	top.ccdmd_O.scormWp_O.setScorePond_V (iQuizPond);

	//afficher la premiere question
	contenu.location.href = getQuestionActuelle().getNomFichier();
}
function shuffle(iNbQuestion){
	var oQuestionsTemp = new Array();
	
	iShuffledOrder = getShuffledOrder(oQuestions.length);
	oQuestionsOld = copyArray(oQuestions);
	
	for(var i = 0;i < oQuestions.length;i++){
		oQuestionsTemp[iShuffledOrder[i]] = oQuestionsOld[i];
	}
	
	oQuestions = new Array();

	for(var i = 0;i < iNbQuestion;i++){
		oQuestions[i] = oQuestionsTemp[i];
	}
}
function getQuestionActuelle(){
	return oQuestions[iIndexActuel];
}
function moveNext(){
	if(iIndexActuel == (oQuestions.length - 1)){
		alert(sMsgFinQuiz);
	}else{
		moveTo(iIndexActuel + 1);
	}
}
function movePrevious(){
	if(iIndexActuel == 0){
		//alert(DEBUT_QUIZ);
	}else{
		moveTo(iIndexActuel - 1);
	}
}
function moveTo(i){
	if((i >= 0) && (i < oQuestions.length)){
	    var oQuestionActuelle = getQuestionActuelle();
	    
		if(!bShowingResult){
			oQuestionActuelle.saveData();
			top.ccdmd_O.scormWp_O.setQuestionScore_V((oQuestionActuelle.getID() + 1),oQuestionActuelle.valider(true),oQuestionActuelle.getPonderation());
		}
		
		iIndexActuel = i;
		contenu.location.href = getQuestionActuelle().getNomFichier();
		
		return true;
	}
	return false;
}
function getReadablePos(){
	return (iIndexActuel + 1) + " " + sPosDelimiter + " " + oQuestions.length;
}
function showResultats(){
	contenu.location.href = "resultats.html";
	bShowingResult = true;
	retro.reset();
}
function soumettre(){
	return;
}
function finishQuiz(){
    top.ccdmd_O.scormWp_O.finish_V();
}